Bug 59451 - add fusion.o and mptscsih.o modules to installer images
add fusion.o and mptscsih.o modules to installer images
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 61681 (view as bug list)
Depends On: 59449
Blocks: 61590
  Show dependency treegraph
Reported: 2002-02-07 23:41 EST by Matt Domsch
Modified: 2005-10-31 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-04 12:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2002-02-07 23:41:55 EST
Description of Problem:
Assuming bugzilla #59449 is resolved (that the kernel creates fusion.o and 
mptscsih.o as modules that allow booting from an MPT Fusion SCSI controller):

Anaconda needs to include fusion.o and mptscsih.o as modules in its installer 
images to enable installation onto disks attached to MPT Fusion SCSI 
controllers.  This controller is the primary U320 SCSI controller on the Dell 
PowerEdge "Discovery" platform.  Ideally Pensacola, but absolutely Hampton 
installers need to support this.

Version-Release number of selected component (if applicable):
Pensacola and Hampton

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Michael Fulbright 2002-02-11 11:36:40 EST
Jeremy are these modules being put on the driver image currently?
Comment 2 Jeremy Katz 2002-02-11 11:43:53 EST
Currently waiting on the drivers to be updated in the kernel per Arjan's suggestion
Comment 3 Michael Fulbright 2002-02-21 11:46:12 EST
Katzj are these drivers going to fit?
Comment 4 Jeremy Katz 2002-02-21 14:21:00 EST
There should be plenty of room on drvblock.img
Comment 5 Matt Domsch 2002-03-21 12:44:01 EST
These drivers are included in kernel 2.4.18-0.4 on Hampton Beta 3 at least.  So 
we'd like to see them added to the installer for beta 4.
Comment 6 Jeremy Katz 2002-03-21 16:04:16 EST
I'm adding mptscsih.o now...  I'm assuming fusion.o doesn't actually exist?

Also, I'll try to get a boot disk / driver disk combo a little later today to
throw up so that you can test with it (it won't load the second stage, but you
should at least be able to ensure the driver gets loaded properly)
Comment 7 Jeremy Katz 2002-03-22 17:24:45 EST
Added.  Images are available at http://people.redhat.com/~katzj/fusion/ that
should let you see if the module properly loads.  They won't, though, allow you
to  do an install with the beta3 tree.  Please reopen if you see any problems
loading the modules with these disks
Comment 8 Jeremy Katz 2002-03-22 17:44:05 EST
*** Bug 61681 has been marked as a duplicate of this bug. ***
Comment 9 Matt Domsch 2002-03-22 18:00:39 EST
Thanks, Tesfamariam will test this on Monday probably.  The two modules needed 
were mptbase.o and mptscsih.o, where mptscsih.o depends on mptbase.o.  
(fusion.o was an intermediate library file during the build I belive).  Sorry 
for the confusion.
Comment 10 Jay Turner 2002-04-02 08:33:55 EST
Changing this to Needinfo, as we are waiting on the results of testing from Dell.
Comment 11 Tesfamariam Michael 2002-04-04 10:52:52 EST
Booting with boot.img and bootnet.img and trying to continue with the 
installation, the installation fails with message something like ...The second 
stage of the install which you selected doesn't match the boot disk which you 
are using...rebooting...
Comment 12 Jeremy Katz 2002-04-04 12:00:14 EST
Allow me to quote from my initial message -- "They (these disks) won't, though,
allow you to  do an install with the beta3 tree."  Beta4 has all of this in
there, though.
Comment 13 Jeremy Katz 2002-04-04 22:31:43 EST
Based on another bug and mail, I'm going to mark this CLOSED->RAWHIDE as it
seems to be working just fine now

Note You need to log in before you can comment on or make changes to this bug.